# Uses of Enum Class org.bukkit.event.world.TimeSkipEvent.SkipReason (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.event.world, class: TimeSkipEvent, enum: SkipReason

# Uses of Enum Class
org.bukkit.event.world.TimeSkipEvent.SkipReason

Packages that use TimeSkipEvent.SkipReason
Package
Description
org.bukkit.event.world
`Events` triggered by various `world` states or changes.

## Uses of TimeSkipEvent.SkipReason in org.bukkit.event.world

Methods in org.bukkit.event.world that return TimeSkipEvent.SkipReason
Modifier and Type
Method
Description
`@NotNull TimeSkipEvent.SkipReason`
TimeSkipEvent.`getSkipReason()`
Gets the reason why the time has skipped.
`static TimeSkipEvent.SkipReason`
TimeSkipEvent.SkipReason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TimeSkipEvent.SkipReason[]`
TimeSkipEvent.SkipReason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.world with parameters of type TimeSkipEvent.SkipReason
Modifier
Constructor
Description
``
`TimeSkipEvent(@NotNull World world, @NotNull TimeSkipEvent.SkipReason skipReason, @org.jetbrains.annotations.NotNull long skipAmount)`